<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		pedro.garcia
@modified 		juan.agudelo  lo dejó todo paila
@description 	datos de regístro de notificación
@version 		2.0
CU:  			CU-CO-V-09 - Registrar notificación 
@param			banderaDatosRNParam: bandera que determina si existe un trámite seleccionado
                                     para visualizar los datos del regístro de notificación 

OJO:
truquini: usar <center> para forzar eso cuando no funciona lo de prime

truquini: aunque a un commandButton se le había definido immediate=true estaba haciendo validación
        de campos. Definiéndole process=@this solucionó el problema

OJO:
tiene un comportamiento extraño: si no se ha escogido alguna opción de los radio de tipo de solicitante
no valida la obligatoriedad de los demás campos (aunque en el mb se haya forzado a que no estén
deshabilitados)

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             id="tramNotPPPnlGrid"
             width="100%">

    <p:fieldset id="tramNotFS" rendered="#{registroNotificacion.banderaDatosRegistroNotificacion}">
        <legend>
            <h:outputText value="Trámite notificado" styleClass="legendTitle"
                          rendered="#{registroNotificacion.actividadRegistrarNotificacion}" />
            <h:outputText value="Trámite renuncia de recurso"
                          styleClass="legendTitle"
                          rendered="#{registroNotificacion.actividadRadicarRecurso}" />
        </legend>

        <h:form id="registrarNotificacionForm">

            <p:panel header="Identificación del trámite" toggleable="true">

                <p:spacer height="10" width="0" />
                <h:panelGrid columns="8" width="100%" cellspacing="7" id="datosTramitePanel">

                    <h:outputLabel value="Número de solicitud: "
                                   styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleSolicitudEjecutarWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText
                            value="#{registroNotificacion.currentTramite.solicitud.numero}"
                            styleClass="outputTextStyle" />
                        <f:setPropertyActionListener
                            value="#{registroNotificacion.currentTramite.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Número de radicación: "
                                   styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                                   update=":detalleTramiteEjecutarForm"
                                   value="#{registroNotificacion.currentTramite.numeroRadicacion}">
                        <f:setPropertyActionListener
                            value="#{registroNotificacion.currentTramite}"
                            target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Fecha de radicación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{registroNotificacion.currentTramite.fechaRadicacion}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                    </h:outputText>

                    <h:outputLabel value="Tipo de trámite: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{registroNotificacion.currentTramite.tipoTramiteCadenaCompleto}"
                        id="TramiteTipoTramiteV" styleClass="outputTextStyle" />

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Número resolución: "
                                   styleClass="outputLabelStyle" />

                    <p:commandLink styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide();viewResolucionWithMarkWaterWV.show();"
                                   process="@this"
                                   action="#{registroNotificacion.cargarUrlDocumentoConMarcaDeAgua}"
                                   update=":detalleTramiteEjecutarForm, :viewResolucionWithMarkWater:vistaMemoForm"
                                   value="#{registroNotificacion.currentTramite.resultadoDocumento.numeroDocumento}">
                        <f:setPropertyActionListener
                            target="#{registroNotificacion.documentoResolucion}"
                            value="#{registroNotificacion.currentTramite.resultadoDocumento}" />
                    </p:commandLink>

                    <p:spacer width="10" />

                    <h:outputLabel value="Fecha resolución: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{registroNotificacion.currentTramite.resultadoDocumento.fechaDocumento}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" type="date" />
                    </h:outputText>

                    <h:outputLabel value="Derecho Petición/Tutela" styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyleInTable"
                                   oncomplete="detalleSolicitudEjecutarWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText value="#{registroNotificacion.currentTramite.formaPeticionTramite}"
                                      />
                        <f:setPropertyActionListener
                            value="#{registroNotificacion.currentTramite.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                </h:panelGrid>

                <p:dataTable var="sol" selectionMode="multiple"
                             rowKey="#{sol.numeroIdentificacion}"
                             value="#{registroNotificacion.solicitantesRegistroNotificacion}"
                             id="solsTramiteTableMas"
                             selection="#{registroNotificacion.solicitantesSeleccionados}"
                             emptyMessage="No se encontraron solicitantes asociados al trámite.">

                    <p:ajax event="rowSelect"
                            listener="#{registroNotificacion.seleccionSolicitantes}"
                            update=":msgsRN,:registroNotifDatosNotificadoForm,
                            :registrarNotificacionForm:datosTramitePanel,
                            :cargaDocumentosPanel,:btnsForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();" />

                    <p:ajax event="rowUnselect"
                            listener="#{registroNotificacion.deseleccionSolicitantes}"   
                            update=":msgsRN,:registroNotifDatosNotificadoForm,
                            :registrarNotificacionForm:datosTramitePanel,
                            :cargaDocumentosPanel,:btnsForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();" />

                    <f:facet name="header">
                        Solicitantes del trámite
                    </f:facet>

                    <p:column>
                        <f:facet name="header">
                            Nombre completo / Razón social
                        </f:facet>
                        <h:outputText value="#{sol.nombreCompleto}" />
                    </p:column>

                    <p:column headerText="Dirección">
                        <h:outputText value="#{sol.direccion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Correo electrónico
                        </f:facet>
                        <h:outputText value="#{sol.correoElectronico}" />
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText value="#{sol.direccionDepartamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{sol.direccionMunicipio.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Tipo solicitante
                        </f:facet>
                        <h:outputText value="#{sol.tipoSolicitante}" />
                    </p:column>

                    <p:column headerText="Notificado">
                        <h:outputText value="#{sol.solicitanteNotificado}" />
                    </p:column>

                </p:dataTable>

            </p:panel>
        </h:form>

        <h:panelGrid>

            <h:panelGrid columns="1">
                <h:inputText id="focus" size="0"
                             style="width:0;height:0px;border:0px;" />
                <p:messages id="msgsRN" showDetail="false" globalOnly="false" />
            </h:panelGrid>

            <h:panelGrid id="registroNotifDatosNotificadoPanel">
                <h:form id="registroNotifDatosNotificadoForm">
                    <p:messages id="msgsNotificado" showDetail="false" globalOnly="false" />
                    <h:panelGrid columns="4" cellspacing="7" id="datosNotifPnl"
                                 rendered="#{registroNotificacion.selectedSolicitante != null
                                             or registroNotificacion.solicitantesSeleccionados != null}">

                        <h:outputLabel value="Tipo de persona notificada: "
                                       styleClass="outputLabelStyle"
                                       rendered="#{registroNotificacion.actividadRegistrarNotificacion}" />
                        <h:outputLabel value="Tipo de persona: "
                                       styleClass="outputLabelStyle"
                                       rendered="#{registroNotificacion.actividadRadicarRecurso}" />
                        <h:panelGrid columns="2">
                            <h:selectOneRadio id="selectTipoPersona"
                                              value="#{registroNotificacion.tipoPersonaNotif}"
                                              label="Tipo de persona" layout="lineDirection"
                                              disabled="#{empty registroNotificacion.selectedSolicitante and
                                                          registroNotificacion.banderaTipoPersonaNotificada}">
                                <f:selectItem itemLabel="Solicitante"
                                              itemValue="#{registroNotificacion.tipoPersonaNotifSolicitante}" />
                                <f:selectItem itemLabel="Autorizado"
                                              itemValue="#{registroNotificacion.tipoPersonaNotifAutorizado}" />
                                <p:ajax
                                    update=":msgsRN,:registroNotifDatosNotificadoForm:datosNotifPnl
                                    :cargaDocumentosPanel"
                                    />
                            </h:selectOneRadio>
                        </h:panelGrid>

                        <h:outputText value="" />
                        <h:outputText value="" />


                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de identificación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:selectOneMenu id="tipoIdentific"
                                             label="Tipo de identificación:" required="true"
                                             value="#{registroNotificacion.tipoIdentificPersonaNotif}"
                                             disabled="#{registroNotificacion.notificadoEsSolicitante or
                                                         registroNotificacion.banderaDatosDeNotificadoAlmacenados}">
                                <f:selectItem itemLabel="Seleccionar..." />
                                <f:selectItems value="#{general.personaTipoIdentificacionV}" />
                                <p:ajax event="change" process="@this" />
                            </h:selectOneMenu>
                            <p:message for="tipoIdentific" display="icon" />
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Número de identificación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="4" id="panelDatosPerNotif">
                            <h:inputText id="numeroIdentific"
                                         value="#{registroNotificacion.numeroIdentificPersonaNotif}"
                                         required="true" label="Número de documento"
                                         disabled="#{registroNotificacion.notificadoEsSolicitante or
                                                     registroNotificacion.banderaDatosDeNotificadoAlmacenados}">
                            </h:inputText>
                            <p:message for="numeroIdentific" display="icon" />
                            <p:commandButton  id="btnCargaPersona"
                                              update=":registroNotifDatosNotificadoForm:msgsNotificado,
                                              :registroNotifDatosNotificadoForm, :registrarNotificacionForm:datosTramitePanel"
                                              icon="ui-icon-search" title="buscar persona" 
                                              process="@this, panelDatosPerNotif"
                                              action="#{registroNotificacion.precargarAutorizado}"
                                              oncomplete="handleCompleteSIC(xhr, status,args, listaPropietariosWV, true);" />                            
                        </h:panelGrid>


                        <h:panelGrid columns="2">
                            <h:outputLabel value="Persona notificada: "
                                           styleClass="outputLabelStyle"
                                           rendered="#{registroNotificacion.actividadRegistrarNotificacion}" />
                            <h:outputLabel value="Persona que renuncia al recurso: "
                                           styleClass="outputLabelStyle"
                                           rendered="#{registroNotificacion.actividadRadicarRecurso}" />

                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:panelGrid columns="2">
                                <h:inputText id="nombrePersonaNotif"
                                             value="#{registroNotificacion.nombrePersonaNotif}"
                                             required="true" maxlength="100" size="46"
                                             label="Nombre persona"
                                             disabled="#{registroNotificacion.notificadoEsSolicitante or
                                                         registroNotificacion.banderaDatosDeNotificadoAlmacenados}">
                                </h:inputText>
                                <p:message for="nombrePersonaNotif" display="icon" />
                            </h:panelGrid>
                        </h:panelGrid>

                        <h:outputText value="" />
                        <h:outputText value="" />


                        <h:panelGrid columns="2" rendered="#{!registroNotificacion.actividadRadicarRecurso}">
                            <h:outputLabel value="Forma de notificación: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />                           
                        </h:panelGrid>
                        <h:panelGrid columns="4"
                                     rendered="#{!registroNotificacion.actividadRadicarRecurso}">

                            <h:outputText id="FormaNotificacion"
                                          value="#{registroNotificacion.formaNotificacion}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterCB" for="FormaNotificacion" />
                            </h:outputText>
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Fecha de notificación: "
                                           styleClass="outputLabelStyle"
                                           rendered="#{registroNotificacion.actividadRegistrarNotificacion}" />
                            <h:outputLabel value="Fecha de renuncia del recurso: "
                                           styleClass="outputLabelStyle"
                                           rendered="#{registroNotificacion.actividadRadicarRecurso}" />
                        </h:panelGrid>
                        <h:outputText id="fechaNotificacion"
                                      value="#{registroNotificacion.fechaNotificacion}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                               locale="es_CO" timeZone="GMT-5" />
                        </h:outputText>

                        <p:commandButton value="Guardar notificado" process="@form"
                                         update=":msgsRN,:registroNotifDatosNotificadoForm,
                                         :registrarNotificacionForm:datosTramitePanel,
                                         :cargaDocumentosPanel"
                                         icon="ui-icon-disk"
                                         title="Guarda la información de los datos del notificado "
                                         action="#{registroNotificacion.guardarDatosNotificado}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{!registroNotificacion.banderaDatosDeNotificadoAlmacenados
                                                     and registroNotificacion.actividadRegistrarNotificacion
                                                     and !registroNotificacion.currentTramite.tramiteMasivo}" />

                        <p:commandButton value="Guardar notificado" process="@form"
                                         update=":registroNotifDatosNotificadoForm,
                                         :cargaDocumentosPanel"
                                         icon="ui-icon-disk"
                                         title="Guarda la información de los datos del notificado "
                                         action="#{registroNotificacion.guardarDatosNotificado}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{!registroNotificacion.banderaDatosDeNotificadoAlmacenados
                                                     and registroNotificacion.actividadRegistrarNotificacion
                                                     and registroNotificacion.currentTramite.tramiteMasivo}" />

                        <p:commandButton value="Guardar renuncia de recurso"
                                         process="@form"
                                         update=":msgsRN,:registroNotifDatosNotificadoForm,
                                         :registrarNotificacionForm:datosTramitePanel,
                                         :cargaDocumentosPanel,:btnsForm"
                                         icon="ui-icon-disk"
                                         title="Guarda la información de los datos de la renuncia del recurso "
                                         action="#{registroNotificacion.guardarDatosNotificado}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{!registroNotificacion.banderaDatosDeNotificadoAlmacenados 
                                                     and registroNotificacion.actividadRadicarRecurso}" />

                        <p:commandButton value="Editar notificado"
                                         update=":msgsRN,registroNotifDatosNotificadoForm,:btnsForm,
                                         :cargaDocumentosPanel"
                                         icon="ui-icon-pencil" process="@this"
                                         title="Habilita la edición de la información de los datos del notificado "
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{!registroNotificacion.notificadoEsSolicitante and
                                                     registroNotificacion.banderaDatosDeNotificadoAlmacenados}"
                                         action="#{registroNotificacion.editarDatosNotificado}" />

                        <p:commandButton value="Generar documento de notificación"
                                         action="#{registroNotificacion.generarDocNotificacion}"
                                         update=":cargaDocumentosPanel,:btnsForm, :registroNotifDatosNotificadoPanel,
                                         :viewReport:vistaMemoForm"
                                         icon="ui-icon-document"
                                         oncomplete="statusDialog2.hide();visorReporteWV.show();"
                                         process="@this" onstart="statusDialog2.show();"
                                         rendered="#{registroNotificacion.banderaDatosDeNotificadoAlmacenados and registroNotificacion.actividadRegistrarNotificacion}">
                        </p:commandButton>
                    </h:panelGrid>

                    <p:separator
                        rendered="#{not empty registroNotificacion.selectedSolicitante}" />
                </h:form>
            </h:panelGrid>


            <h:panelGrid id="cargaDocumentosPanel" columns="1" width="100%">

                <h:form id="docForm2" enctype="multipart/form-data">
                    <h:panelGrid columns="2" cellspacing="7" width="100%"
                                 rendered="#{registroNotificacion.banderaDatosDeNotificadoAlmacenados and
                                             (registroNotificacion.selectedSolicitante != null or registroNotificacion.solicitantesSeleccionados != null)
                                             and !registroNotificacion.notificadoEsSolicitante}">

                        <p:messages id="msgsAuto" showDetail="false" globalOnly="false" />

                        <p:spacer height="7" width="0"/>

                        <h:panelGrid columns="2">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Documento de autorización: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2" id="nombreArchAutoriz">

                                <p:commandLink
                                    value="#{registroNotificacion.documentoAutorizacionDeNotificacion.archivo}"
                                   	update=":docVDocSoporte:docViewerCCForm"
                                    styleClass="commandLinkStyle"
                                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                                    onstart="statusDialog2.show()"
                                    rendered="#{not empty registroNotificacion.documentoAutorizacionDeNotificacion.archivo}">
                                    <f:setPropertyActionListener
                                        target="#{previsualizacionDocumento.documentoTemporal}"
                                        value="#{registroNotificacion.documentoAutorizacionDeNotificacion}" />
                                </p:commandLink>

                            </h:panelGrid>
                        </h:panelGrid>

                        <p:outputPanel layout="block" style="text-align:right">
                            <p:fileUpload id="fu2" label="Cargar documento"
                                          rendered="#{!registroNotificacion.notificadoEsSolicitante}"
                                          fileUploadListener="#{registroNotificacion.cargarArchivo2}"
                                          invalidFileMessage="Tipo inválido" required="true"
                                          requiredMessage="Debe cargar el documento de autorización"
                                          dragDropSupport="true" invalidSizeMessage="Tamaño no permitido"
                                          widgetVar="uploader" mode="advanced" auto="true"
                                          sizeLimit="#{general.maximoTamanoAdjuntos}"
                                          allowTypes="/(\.|\/)(pdf|tif|png|jp[e]?g)$/"
                                          update="nombreArchAutoriz,fu2,:msgsRN,:btnsForm,:avanzarProcesoForm,:cargaDocumentosPanel,:registroNotifDatosNotificadoForm">
                            </p:fileUpload>
                        </p:outputPanel>

                    </h:panelGrid>
                </h:form>

                <h:form id="docForm1" enctype="multipart/form-data">
                    <h:panelGrid columns="2" cellspacing="7" width="100%"
                                 rendered="#{registroNotificacion.banderaDatosDeNotificadoAlmacenados and
                                             (registroNotificacion.selectedSolicitante != null or registroNotificacion.solicitantesSeleccionados != null)}">

                        <h:panelGrid columns="2">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Documento de notificación: "
                                               styleClass="outputLabelStyle"
                                               rendered="#{registroNotificacion.actividadRegistrarNotificacion}" />
                                <h:outputLabel
                                    value="Documento soporte de renuncia del recurso: "
                                    styleClass="outputLabelStyle"
                                    rendered="#{registroNotificacion.actividadRadicarRecurso}" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2" id="nombreArchNotif">

                                <p:commandLink
                                    value="#{registroNotificacion.documentoNotificacion.archivo}"
                                    update=":docVDocSoporte:docViewerCCForm"
                                    styleClass="commandLinkStyle"
                                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                                    onstart="statusDialog2.show()"
                                    rendered="#{not empty registroNotificacion.nombreArchivoNotificacionCargado and
                                                registroNotificacion.visualizarDocNotif}">
                                    <f:setPropertyActionListener
                                        target="#{previsualizacionDocumento.documentoTemporal}"
                                        value="#{registroNotificacion.documentoNotificacion}" />
                                </p:commandLink>

                            </h:panelGrid>
                        </h:panelGrid>

                        <p:outputPanel layout="block" style="text-align:right">

                            <p:fileUpload id="fu" label="Cargar documento"
                                          fileUploadListener="#{registroNotificacion.cargarArchivo1}"
                                          invalidFileMessage="Tipo inválido" required="true"
                                          requiredMessage="Debe cargar el documento de notificación"
                                          dragDropSupport="true" invalidSizeMessage="Tamaño no permitido"
                                          mode="advanced" auto="true" sizeLimit="1024000"
                                          allowTypes="/(\.|\/)(pdf|tif|png|jp[e]?g)$/"
                                          update="nombreArchNotif,fu,:msgsRN,:btnsForm,:avanzarProcesoForm,:cargaDocumentosPanel, ,:registroNotifDatosNotificadoForm">
                            </p:fileUpload>

                        </p:outputPanel>

                    </h:panelGrid>
                </h:form>
            </h:panelGrid>
            <br/>
            <br/>
            <h:form id="btnsForm">
                <p:separator
                    rendered="#{not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados}" />
                <p:spacer height="7" width="0"
                          rendered="#{not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados}" />
                <p:outputPanel layout="block" style="text-align: left">
                    <h:panelGrid columns="6" cellspacing="7">

                        <h:outputLabel value="Renuncia a la apelación: "
                                       styleClass="outputLabelStyle"
                                       rendered="#{registroNotificacion.banderaDocNotificacionGenerado and
                                                   (not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados)
                                                   and not registroNotificacion.actividadRadicarRecurso
                                                   and not registroNotificacion.currentTramite.queja
                                                   and not registroNotificacion.currentTramite.recursoApelacion
                                                   and not registroNotificacion.currentTramite.recursoReposicion}" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                       rendered="#{registroNotificacion.banderaDocNotificacionGenerado and
                                                   (not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados)
                                                   and not registroNotificacion.actividadRadicarRecurso
                                                   and not registroNotificacion.currentTramite.queja
                                                   and not registroNotificacion.currentTramite.recursoApelacion
                                                   and not registroNotificacion.currentTramite.recursoReposicion}" />
                        <h:selectOneMenu id="renunciaRecursosCombo"
                                         label="Renuncia a la apelación"
                                         value="#{registroNotificacion.renunciaARecursos}"
                                         required="true"
                                         rendered="#{registroNotificacion.banderaDocNotificacionGenerado and
                                                     (not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados)
                                                     and not registroNotificacion.actividadRadicarRecurso
                                                     and not registroNotificacion.currentTramite.queja
                                                     and not registroNotificacion.currentTramite.recursoApelacion
                                                     and not registroNotificacion.currentTramite.recursoReposicion}">
                            <f:selectItem itemLabel="Seleccionar..." />
                            <f:selectItems value="#{general.siNo}" />
                        </h:selectOneMenu>
                        <p:message for="renunciaRecursosCombo" display="icon" />

                        <p:spacer height="0" width="7" />
                        <p:commandButton value="Guardar registro de notificación"
                                         disabled="#{registroNotificacion.disabledGuardarButton}"
                                         update=":btnsForm,:registroNDatosForm,:tablaResultadoForm,
                                         :registrarNotificacionForm,
                                         :registroNotifDatosNotificadoForm,:cargaDocumentosPanel,
                                         :avanzarProcesoForm,:btnsForm"
                                         icon="ui-icon-disk" process="@this :btnsForm,:docForm2,:docForm1"
                                         title="Guarda los documentos y la información de la notificación."
                                         action="#{registroNotificacion.guardarRegistroNotificacion}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{registroNotificacion.banderaDatosDeNotificadoAlmacenados and
                                                     (not empty registroNotificacion.selectedSolicitante or  not empty registroNotificacion.solicitantesSeleccionados)
                                                     and registroNotificacion.actividadRegistrarNotificacion}" />

                        <p:commandButton value="Guardar registro de radicar recurso"
                                         disabled="#{registroNotificacion.disabledGuardarButton}"
                                         update=":btnsForm,:registroNDatosForm,:tablaResultadoForm,
                                         :registrarNotificacionForm,
                                         :registroNotifDatosNotificadoForm,:cargaDocumentosPanel,
                                         :avanzarProcesoForm"
                                         icon="ui-icon-disk" process="@this,:btnsForm,:cargaDocumentosPanel"
                                         title="Guarda los documentos y la información de la radicación del recurso."
                                         action="#{registroNotificacion.guardarRegistroRadicarRecurso}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         rendered="#{registroNotificacion.banderaDatosDeNotificadoAlmacenados and not empty registroNotificacion.selectedSolicitante and registroNotificacion.actividadRadicarRecurso}" />

                    </h:panelGrid>
                </p:outputPanel>
            </h:form>

            <p:spacer height="10" width="0" />

            <h:form id="avanzarProcesoForm">
                <p:outputPanel layout="block" style="text-align: left"
                               rendered="#{registroNotificacion.okToForwardProcess}">
                    <p:commandButton value="Avanzar proceso"
                                     icon="ui-icon-seek-next"
                                     oncomplete="forwardProcessConfirmationWV.show()"/>
                </p:outputPanel>
                
                <p:outputPanel layout="block" style="text-align: left"
                               rendered="#{!registroNotificacion.okToForwardProcess}">
                    
                    <p:commandButton value="Guardar"
                                     icon="ui-icon-disk"
                                     title="Guarda la información del tramite notificado "
                                     action="#{registroNotificacion.transferirTramiteAUsuarioTiemposMuertos}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();"/>
                </p:outputPanel>
            </h:form>

        </h:panelGrid>

    </p:fieldset>

</h:panelGrid>